// const git = require('git-rev-sync');

const packages = [
  'application-extension',
  'application',
  'apputils-extension',
  'apputils',
  'attachments',
  'cells',
  'celltags-extension',
  'celltags',
  'codeeditor',
  'codemirror-extension',
  'codemirror',
  'completer-extension',
  'completer',
  'console-extension',
  'console',
  'coreutils',
  'csvviewer-extension',
  'csvviewer',
  'docmanager-extension',
  'docmanager',
  'docregistry',
  'documentsearch-extension',
  'documentsearch',
  'extensionmanager-extension',
  'extensionmanager',
  'filebrowser-extension',
  'filebrowser',
  'fileeditor-extension',
  'fileeditor',
  'help-extension',
  'htmlviewer-extension',
  'htmlviewer',
  'hub-extension',
  'imageviewer-extension',
  'imageviewer',
  'inspector-extension',
  'inspector',
  'javascript-extension',
  'json-extension',
  'launcher-extension',
  'launcher',
  'logconsole-extension',
  'logconsole',
  'mainmenu-extension',
  'mainmenu',
  'markdownviewer-extension',
  'markdownviewer',
  'mathjax2-extension',
  'mathjax2',
  'metapackage',
  'nbconvert-css',
  'nbformat',
  'notebook-extension',
  'notebook',
  'observables',
  'outputarea',
  'pdf-extension',
  'property-inspector',
  'rendermime-extension',
  'rendermime-interfaces',
  'rendermime',
  'running-extension',
  'running',
  'services',
  'settingeditor-extension',
  'settingeditor',
  'settingregistry',
  'shortcuts-extension',
  'statedb',
  'statusbar-extension',
  'statusbar',
  'tabmanager-extension',
  'terminal-extension',
  'terminal',
  'theme-dark-extension',
  'theme-light-extension',
  'tooltip-extension',
  'tooltip',
  'ui-components-extension',
  'ui-components',
  'vdom-extension',
  'vdom',
  'vega5-extension'
];

const inputFiles = packages.map(p => `${__dirname}/packages/${p}/src`);

module.exports = {
  inputFiles,
  exclude: [
    // '^((?!index\.ts).)*$',
    // '^((?!index\.tsx).)*$',
    // '**/*+(__tests__|internal|lib|node_modules|demos)/**/*',

    '.history',
    '**/.storybook',
    '**/babel.config.js',
    '**/*.spec.ts*',
    '**/*.stories.ts*',
    '**/buildutils/**',
    '**/docs/source/**',
    '**/examples/**',
    // '**/lib/**',
    '**/node_modules/**',
    '**/test/**',
    '**/tests/**',
    '**/testutils/**',

    '**/packages/celltags/**',
    '**/packages/logconsole/**'
    // '**/packages/settingregistry/**'

    // '**/packages/celltags*/**',
    // '**/packages/logconsole*/**',
  ],
  excludeNotExported: true,
  ignoreCompilerErrors: false,
  mode: 'library',
  name: '@jupyterlab',
  out: 'docs/api',
  readme: 'README.md',
  theme: 'typedoc-theme',
  tsconfig: 'tsconfigdoc.json'

  // gitRevision: 'master',
  // 'sourcefile-url-prefix': `https://github.com/sinnerschrader/feature-hub/tree/${git.short()}/packages/`,
};
